; Inf Installation for DTV 2000
; Copyright 1097, Diamond Multimedia

[DestinationDirs]
Mediatxt_CopyFiles="Mediatxt"

[LanguageTranslation]

[SourceDisksNames]
1=%MediatxtDiskDesc%,,1

[SourceDisksFiles]
Mediatxt.exe=1,,331264
Mtxtger.dll=1,,551424
Mtxteng.dll=1,,551424
Mtxtger.hlp=1,,551424
Mtxteng.hlp=1,,551424
Mediatdb.exe=1,,331264
Mtdbger.dll=1,,551424
Mtdbeng.dll=1,,551424
Mtdbger.hlp=1,,551424
Mtdbeng.hlp=1,,551424
Mabout.avi=1,,551424
Mstartup.avi=1,,551424
;Mediat_e.dll=1,,551424
;Mediat_g.dll=1,,552960
;Mediat_f.dll=1,,553984
;Mediat_s.dll=1,,553472
;Mediat_i.dll=1,,553472

[Optional Components]
%Media.Opt.@r%
; Mediatxt

[Mediatxt]
OptionDesc=%Mediatxt.Desc.@r%
Tip=%Mediatxt.Tip.@r%
CopyFiles=Mediatxt_CopyFiles
AddReg=Mediatxt_RegEntries
UpdateInis=Mediatxt_UpdateInis
; Uninstall=Mediatxt_CopyFiles, Mediatxt_DelFiles
ProgramGroups=Mediatxt_ProgramGroups
; Execute=Runfile.bat %@p%\Mediatxt\Mediatxt.exe
Dependency=1
; AdvancedComponent=1
DiskNumber=1

[X_Mediatxt]
OptionDesc=%Mediatxt.Desc.@r%
Tip=%Mediatxt.Tip.@r%
CopyFiles=Mediatxt_CopyFiles
AddReg=Mediatxt_RegEntries
UpdateInis=Mediatxt_UpdateInis
; Uninstall=Mediatxt_CopyFiles, Mediatxt_DelFiles
ProgramGroups=Mediatxt_ProgramGroups
; Execute=Runfile.bat %@p%\Mediatxt\Mediatxt.exe
Dependency=1
AdvancedComponent=1
DiskNumber=1

[Mediatxt_ProgramGroups]
DIAMOND\Dtv2000,%Mediatxt.Title.@r%,Mediatxt\Mediatxt.exe, ,Mediatxt,Mediatxt\Mediatxt.exe,0
DIAMOND\Dtv2000,%Mediatdb.Title.@r%,Mediatxt\Mediatdb.exe, ,Mediatxt,Mediatxt\Mediatdb.exe,0

[Mediatxt_CopyFiles]
Mediatdb.exe
Mtdbger.dll
Mtdbeng.dll
Mtdbger.hlp
Mtdbeng.hlp
Mediatxt.exe
Mtxtger.dll
Mtxteng.dll
Mtxtger.hlp
Mtxteng.hlp
Mabout.avi
Mstartup.avi

;[Mediatxt_DelFiles]

[Mediatxt_RegEntries]
HKCU,Software\Diamond\MEDIATXT\Settings,Language,1,%Media.Lang.@r%
HKU,.Default\Software\Diamond\MEDIATXT\Settings,Language,1,%Media.Lang.@r%
HKCU,Software\Diamond\MEDIATDB\Parameters,Language,0,%Media.Lang.@r%
HKU,.Default\Software\Diamond\MEDIATDB\Parameters,Language,0,%Media.Lang.@r%
HKCU,Software\Diamond\DMMOTION\Settings,HasTTXButton,1,1
HKU,.Default\Software\Diamond\DMMOTION\Settings,HasTTXButton,1,1
HKCU,Software\Diamond\DMMOTION\Settings,MediatxtPath,4,Mediatxt
HKU,.Default\Software\Diamond\DMMOTION\Settings,MediatxtPath,4,Mediatxt
HKCU,Software\Diamond\DSVideo\Ttext,TopText,1,1
HKU,.Default\Software\Diamond\DSVideo\Ttext,TopText,1,1
HKCR,Bt848\VBI_HDelay, ,0,0x13
; HKCR,Bt848\VBIDecoder, ,0,TeleText      --- in Dtv20sys.exe ---

[Mediatxt_UpdateInis]
control.ini,Screen Saver.TV, ,"CanTeleText=1"

[Strings]
Mediatxt.Desc.eng="MediaText"
Mediatxt.Desc.ger="MediaText"
Mediatxt.Desc.fra="MediaText"
Mediatxt.Desc.ita="MediaText"
Mediatxt.Desc.spa="MediaText"

Mediatxt.Tip.eng="Teletext database and viewer"
Mediatxt.Tip.ger="Teletext Datenbank und Betrachter"
Mediatxt.Tip.fra="T�l�texte base de donn�es et afficheur"
Mediatxt.Tip.ita="Teletesto database e visualizzatore"
Mediatxt.Tip.spa="Teletexto base de datos y visor"

Mediatxt.Title.eng="MediaText - Viewer"
Mediatxt.Title.ger="MediaText - Betrachter"
Mediatxt.Title.fra="MediaText - afficheur"
Mediatxt.Title.ita="MediaText - visualizzatore"
Mediatxt.Title.spa="MediaText - visor"

Mediatdb.Title.eng="MediaText - Data Base"
Mediatdb.Title.ger="MediaText - Datenbank"
Mediatdb.Title.fra="MediaText - base de donn�es"
Mediatdb.Title.ita="MediaText - database"   
Mediatdb.Title.spa="MediaText - base de datos"

Media.Lang.eng="1"
Media.Lang.ger="2"
Media.Lang.fra="1"
Media.Lang.ita="1"
Media.Lang.spa="1"

Media.Opt.eng="Mediatxt"
Media.Opt.ger="Mediatxt"
Media.Opt.fra="X_Mediatxt"
Media.Opt.ita="X_Mediatxt"
Media.Opt.spa="X_Mediatxt"

MediatxtDiskDesc="Media Text"
